==========
Evaluators
==========

Base
====

..  doxygenclass:: paddle::Evaluator
    :members:

Sum
===

SumEvaluator
------------
..  doxygenclass:: paddle::SumEvaluator
    :members:

ColumnSumEvaluator
------------------
..  doxygenclass:: paddle::ColumnSumEvaluator
    :members:

Classification
==============

ClassificationErrorEvaluator
---------------------------
..  doxygenclass:: paddle::ClassificationErrorEvaluator
    :members:

SequenceClassificationErrorEvaluator
------------------------------------
..  doxygenclass:: paddle::SequenceClassificationErrorEvaluator
    :members:

AucEvaluator
-------------
..  doxygenclass:: paddle::AucEvaluator
    :members:

PrecisionRecallEvaluator
------------------------
..  doxygenclass:: paddle::PrecisionRecallEvaluator
    :members:

ChunkEvaluator
--------------
..  doxygenclass:: paddle::ChunkEvaluator
    :members:

CTCEvaluator
------------
..  doxygenclass:: paddle::CTCErrorEvaluator
    :members:


Rank
====

PnpairEvaluator
-------------
..  doxygenclass:: paddle::PnpairEvaluator
    :members:

AucEvaluator
-------------
..  doxygenclass:: paddle::RankAucEvaluator
    :members:


Printer
=======

ValuePrinter
-------------
..  doxygenclass:: paddle::ValuePrinter
    :members:

GradientPrinter
---------------
..  doxygenclass:: paddle::GradientPrinter
    :members:

MaxIdPrinter
------------
..  doxygenclass:: paddle::MaxIdPrinter
    :members:

MaxFramePrinter
---------------
..  doxygenclass:: paddle::MaxFramePrinter
    :members:

SequenceTextPrinter
------------------
..  doxygenclass:: paddle::SequenceTextPrinter
    :members:

ClassificationErrorPrinter
--------------------------
..  doxygenclass:: paddle::ClassificationErrorPrinter
    :members:
